ALTER TABLE TEMPLATE_MAPPING ADD CONSTRAINT FK_ITEM_SCHEME_TEMPLATE FOREIGN KEY (ITEM_SCHEME_ID) REFERENCES ITEM_SCHEME (ITEM_SCHEME_ID)
;
ALTER TABLE TEMPLATE_MAPPING ADD CONSTRAINT FK_CON_ID_TEMPLATE FOREIGN KEY (CON_ID) REFERENCES CONCEPT (CON_ID)
;
ALTER TABLE TEMPLATE_MAPPING ADD CONSTRAINT FK_COMPONENT_COMMON_TEMPLATE FOREIGN KEY (TEMPLATE_ID) REFERENCES COMPONENT_COMMON (COMP_ID)
ON DELETE CASCADE
;
